Skip to navigation

Get Workspace

Retrieve a workspace by ID.

Requires an organization-scoped API key. See Create Workspace for the availability and authentication rules that apply to all /workspaces endpoints.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

The ID of the workspace.

Example: "ws_GSdEJY2mXL0FaQ3mL4kNY"

Headers

x-extend-api-version"2026-02-09"OptionalDefaults to 2026-02-09

API version to use for the request. If you’re using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.

x-extend-workspace-idstringRequired

Required on this endpoint: it accepts only organization-scoped API keys. Pass any existing workspace ID in your organization — on POST /workspaces it identifies the workspace you are calling from, not the one being created. See Authentication for details on API key scopes.

Response

Retrieved workspace
objectenum
Allowed values:
idstring
Unique identifier for the workspace.
namestring

The human-readable name of the workspace.

createdAtstringformat: "date-time"

The time (in UTC) at which the object was created. Will follow the RFC 3339 format.

Example: "2024-03-21T16:45:00Z"

updatedAtstringformat: "date-time"

The time (in UTC) at which the object was last updated. Will follow the RFC 3339 format.

Example: "2024-03-21T16:45:00Z"

Errors

400
Bad Request Error
401
Unauthorized Error
402
Payment Required Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error